Նույն նախապես համօգտագործված բանալիով կազմաձևված երկու դարպասներ ավարտում են ձեռքսեղմում, և փաթեթների գրառումը չի ցույց տալիս լարով անցնող ոչ մի գաղտնիք։ Դա այն մասն է, որը մարդիկ հիշում են։ Հետաքրքիր մասն այն է, թե յուրաքանչյուր տարբերակ իսկապես ինչ է հաշվարկում գաղտնիքի իմացությունն ապացուցելու համար, քանի որ IKEv1-ը և IKEv2-ը այդ ապացույցը կառուցում են տարբեր մուտքերից և դա անելիս բացահայտում են տարբեր տեղեկություններ։ Կարդացեք երկու հետքերը կողք կողքի, և տարբերությունը դադարում է արտաքին լինելուց։

Ինչի՞ պետք է հասնի ապացույցը

Diffie-Hellman-ը երկու կողմերին տալիս է ընդհանուր արժեք, որի հանրային կեսերը կարող է հաշվարկել նաև ցանկացած դիտորդ։ Ինքնին դա ոչինչ չի ապացուցում ինքնության մասին. բանալիների փոխանակումն ավարտած հարձակվողն ունի նույն ընդհանուր արժեքը, ինչ ձեր դարպասը։ Նույնականացման քայլը գոյություն ունի, որպեսզի այդ փոխանակումը կապի մի գաղտնիքի հետ, որը միայն նախատեսված կողմերն ունեն, ինչպես նաև այն ինքնությունների և պարամետրերի հետ, որոնց շուրջ նրանք համաձայնել են։

Հենց այդ կապն է պատճառը, որ հաշը ծածկում է ավելին, քան բանալին։ Եթե այն ծածկեր միայն գաղտնիքը, հարձակվողը կարող էր այն վերարտադրել այլ փոխանակման մեջ՝ այլ ինքնություններով կամ առաջարկներով։

IKEv1 Main Mode. ստանալ SKEYID, ապա ապացուցել

Main Mode-ը կատարում է վեց հաղորդագրություն։ Առաջին զույգը բանակցում է անվտանգության միավորումը, երկրորդը փոխանակում է Diffie-Hellman-ի հանրային արժեքներն ու nonce-երը, իսկ երրորդը կրում է ինքնություններ և նույնականացման հաշեր հենց նոր հաստատված գաղտնագրման տակ։ RFC 2409-ը սահմանում է կառուցվածքը. նախապես համօգտագործված բանալիով նույնականացման դեպքում SKEYID-ը ստացվում է գաղտնիքից և երկու nonce-երից, իսկ հետագա բանալու նյութը՝ SKEYID-ից, Diffie-Hellman-ի ընդհանուր արժեքից, քուքիներից և հաստատուններից։

Հինգերորդ և վեցերորդ հաղորդագրությունների հաշը հաշվարկվում է Diffie-Hellman-ի արժեքի, երկու քուքիների, առաջարկի և ուղարկողի ինքնության վրա՝ SKEYID-ը որպես բանալի։ Ստացողը վերահաշվարկում է այն իր կազմաձևված գաղտնիքով։ Անհամապատասխանությունը ավարտում է փոխանակումը, և գաղտնիքն ինքը երբեք բեռ չէ։

Aggressive Mode-ը նույն աշխատանքը սեղմում է երեք հաղորդագրության մեջ, այսինքն՝ ինքնություններն ու նույնականացման հաշը ճամփորդում են մինչև գաղտնագրված ուղու գոյությունը։ Դա իրական ազդեցություն է գուշակելի գաղտնիքի համար և առանձին է այն հարցից, թե արդյոք գաղտնիքը փոխանցվել է։ IKEv1-ը հնացել է RFC 9395-ով, ուստի հին հետքը ախտորոշիչ վարժություն է, ոչ թե տեղակայման նպատակ։

IKEv2. այլ ստացում և այլ AUTH բեռ

IKEv2-ը չի վերօգտագործում IKEv1-ի բանալիների ժամանակացույցը։ Սկզբնական IKE բանալիները գալիս են սերմից, որը կառուցված է nonce-երից և Diffie-Hellman-ի ընդհանուր արժեքից, և դուստր անվտանգության միավորումները ստացվում են դրանից։ Նախապես համօգտագործված բանալին ընդհանրապես չի սնուցում սերմը։

Այնուհետև նույնականացումը հայտնվում է որպես AUTH բեռ։ Համօգտագործված բանալիով նույնականացման համար RFC 7296-ը սահմանում է գաղտնիքի լցված ձև, որը ստացվում է գաղտնիքը հաստատուն տողով հաշելով Key Pad for IKEv2, ապա ստորագրված փոխանակման տվյալները և ինքնությունը հաշելով այդ լցված բանալիով։ Ստուգողը կարող է նույն արժեքը վերակառուցել. դիտորդը՝ ոչ, առանց գաղտնիքի։

Ուշադրություն դարձրեք, թե ինչ փոխվեց։ IKEv1-ում գաղտնիքը խառնված է բանալիների ժամանակացույցի մեջ մինչև նույնականացման հաշի գոյությունը. IKEv2-ում ժամանակացույցը անկախ է գաղտնիքից, և ապացույցը առանձին բեռ է՝ կապված ստորագրված օկտետներին։ Նույն հասկացական երաշխիքը, այլ մեխանիզմ, և դրա համար պարամետրերի անուններն ու գրառումները մեկը մյուսին չեն համապատասխանում։

Ինչ է իրականում իմանում դիտորդը

Diffie-Hellman-ի հանրային արժեքները, առաջարկները, nonce-երը և քուքիները տեսանելի են երկու տարբերակներում։ Ինքնությունները տեսանելի են IKEv1 Aggressive Mode-ում և պաշտպանված են մյուս դեպքերում։ Գաղտնիքը երբեք տեսանելի չէ։

Այդ վերջին նախադասությունն ունի մի սահման, որ արժե նշել։ Թույլ, մարդու ընտրած գաղտնիքի վրա կարելի է հարձակվել գուշակությամբ. հարձակվողը հաշվարկում է, թե ինչ կլիներ նույնականացման արժեքը թեկնածու գաղտնիքի համար, և համեմատում։ IKEv1 Aggressive Mode-ը դա դարձնում է ամենաէժանը, որովհետև ապացույցը բաց է, և ստանդարտները ընդհանուր առմամբ զգուշացնում են ցածր էնտրոպիայի գաղտնիքներից։ Գաղտնիքը երբեք չուղարկելը նույնը չէ, ինչ վատ գաղտնիքն անվտանգ դարձնելը։

Ինչ անել այս համեմատության հետ

Օգտագործեք մեկ եզակի գաղտնիք յուրաքանչյուր կողմերի զույգի համար, ստեղծեք այն պատահական աղբյուրից և պտտեք այն նույն տրամադրման ուղով, որով այն բաշխվել է։ Եթե գաղտնիքը գտնվում է կազմաձևման ձևանմուշում, որը ուղարկվում է յուրաքանչյուր մասնաճյուղ, ապա մեկ տեղում խախտումը խախտում է ամենուր։

Նախընտրեք վկայագրերի վրա հիմնված նույնականացումը, որտեղ գործառնական ծախսը ընդունելի է, քանի որ այն վերացնում է համօգտագործված գաղտնիքի գուշակման խնդիրը և յուրաքանչյուր կողմի տալիս է առանձին ինքնություն։ Որտեղ նախապես համօգտագործված բանալին մնում է, պահեք այն երկար, սահմանափակեք շրջանակը և IKE տարբերակը դիտարկեք որպես անվտանգության որոշում, ոչ թե փոխգործելիության մանրամաս։

Առնչվող հոդվածներ